package alx.p40_io;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;

public class Kopiuj4 {
	private static final int ROZMIAR = 2048;

	public static void kopiuj(String wejscie, String wyjscie) {
		try(Reader is = new FileReader(wejscie);
			Writer os = new FileWriter(wyjscie)) {
			 
			 char[] bufor = new char[ROZMIAR];
			 int ile;
			 
			 while((ile = is.read(bufor)) != -1) {
				 os.write(bufor, 0, ile);
				 
				 //System.out.println("Ile = "+ile);
				 
				 //String napis = new String(bufor);
				 //System.out.println("Napis = "+ napis);
			 }
			
		} catch (FileNotFoundException e) {
			System.out.println("Plik nie znaleziony "+e.getMessage());
		} catch (IOException e) {
			System.out.println("Błąd wej/wyj "+e.getMessage());
		}
		
	}
	

	public static void main(String[] args) {
		kopiuj("PanTadeusz.txt", "wynik.txt");
		
		System.out.println("Koniec kopiowania");
	}

}
